
package com.lideeyunji.tool.framework.yunji.enums;


/**
 * 请求参数-特定参数名
 */
public enum ParamEnum {
    //分页相关
    PAGE_NO("pageNo", "当前页面"),
    PAGE_SIZE("pageSize", "页面条数"),
    COLUMN("column", "字典"),
    ORDER("order", "排序类  desc  asc"),
    DICT_TABLE_FIELD("lideeYunJi_dictTableField", "字典表自定义列"),
    DICT_LABEL("lideeYunJi_dictLabel", "字典表回显列"),
    TREE_PARENT("lideeYunJi_treeParent", "获取指定列的所有上级"),
    REQUEST_PARAM_BODY("requestParamBody", "body参数"),
    MORE_SELECT_FIELD("more_select_field", "body参数"),
    REQUEST_REPORT_CODES("lideeYunJi_report_codes", "报表code 多个通过,隔开"),
    lideeyunji_EXPORT_IDS("lideeYunJi_export_ids", "excel导出，选中id情况"),
    ALL_QUERY_FIELD("lideeYunJi_all_query_field", "所有字段都可以查询"),
    ;

    /**
     * code类型
     */
    private final String code;
    /**
     * 数据名称
     */
    private final String name;


    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    ParamEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

}
